#include <bits/stdc++.h>
using namespace std;
int dnp(long long n)
{
	long long a[99999];
	int i,k;
	for (int i=1;i>0;i++)
	{ 
	  a[i]=n%2;
	  n=n/2;
	  i++;
	}
	for (int k=i;k>0;k--)
	{ cout<<a[k]; }
}
int main ()
{
	ifstream f("dqnp.inp");
	ofstream g("dqnp.out");
    long long n;
    f>>n;
    g<<dnp(n);
    f.close();
    g.close();
}
